diff --git a/man/asymmetric-key.7 b/man/asymmetric-key.7
index 82193f6..273f930 100644
--- a/man/asymmetric-key.7
+++ b/man/asymmetric-key.7
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH ASYMMETRIC-KEY 7 "8 Nov 2018" Linux "Asymmetric Kernel Key Type"
+.TH ASYMMETRIC-KEY 7 "8 Nov 2018" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 asymmetric \- Kernel key type for holding asymmetric keys
diff --git a/man/find_key_by_type_and_name.3 b/man/find_key_by_type_and_name.3
index c961ece..2a338e8 100644
--- a/man/find_key_by_type_and_name.3
+++ b/man/find_key_by_type_and_name.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH FIND_KEY_BY_TYPE_AND_NAME 3 "10 Sep 2013" Linux "Linux Key Utility Calls"
+.TH FIND_KEY_BY_TYPE_AND_NAME 3 "10 Sep 2013" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 find_key_by_type_and_name \- find a key by type and name
diff --git a/man/key.dns_resolver.8 b/man/key.dns_resolver.8
index 0b17edd..c67df97 100644
--- a/man/key.dns_resolver.8
+++ b/man/key.dns_resolver.8
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEY.DNS_RESOLVER 8 "18 May 2020" Linux "Linux Key Management Utilities"
+.TH KEY.DNS_RESOLVER 8 "18 May 2020" keyutils
 .SH NAME
 key.dns_resolver \- upcall for request\-key to handle dns_resolver keys
 .SH SYNOPSIS
diff --git a/man/key.dns_resolver.conf.5 b/man/key.dns_resolver.conf.5
index c944ad5..c395b8e 100644
--- a/man/key.dns_resolver.conf.5
+++ b/man/key.dns_resolver.conf.5
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEY.DNS_RESOLVER.CONF 5 "18 May 2020" Linux "Linux Key Management Utilities"
+.TH KEY.DNS_RESOLVER.CONF 5 "18 May 2020" keyutils
 .SH NAME
 key.dns_resolver.conf \- Kernel DNS resolver config
 .SH DESCRIPTION
diff --git a/man/keyctl.1 b/man/keyctl.1
index c1d067f..7aa0cb7 100644
--- a/man/keyctl.1
+++ b/man/keyctl.1
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL 1 "20 Feb 2014" Linux "Linux Key Management Utilities"
+.TH KEYCTL 1 "20 Feb 2014" keyutils
 .SH NAME
 keyctl \- key management facility control
 .SH SYNOPSIS
diff --git a/man/keyctl.3 b/man/keyctl.3
index 708fcbe..0d04ea6 100644
--- a/man/keyctl.3
+++ b/man/keyctl.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL 3 "21 Feb 2014" Linux "Linux Key Management Calls"
+.TH KEYCTL 3 "21 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_*() \- key management function wrappers
diff --git a/man/keyctl_capabilities.3 b/man/keyctl_capabilities.3
index 86ec352..c687faa 100644
--- a/man/keyctl_capabilities.3
+++ b/man/keyctl_capabilities.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CAPABILITIES 3 "30 May 2019" Linux "Linux Key Management Calls"
+.TH KEYCTL_CAPABILITIES 3 "30 May 2019" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_capabilities \- Query subsystem capabilities
diff --git a/man/keyctl_chown.3 b/man/keyctl_chown.3
index 2006af4..1c8fa9a 100644
--- a/man/keyctl_chown.3
+++ b/man/keyctl_chown.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CHOWN 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_CHOWN 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_chown \- change the ownership of a key
diff --git a/man/keyctl_clear.3 b/man/keyctl_clear.3
index 34e7262..010b175 100644
--- a/man/keyctl_clear.3
+++ b/man/keyctl_clear.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CLEAR 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_CLEAR 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_clear \- clear a keyring
diff --git a/man/keyctl_describe.3 b/man/keyctl_describe.3
index 97d454b..198f1b7 100644
--- a/man/keyctl_describe.3
+++ b/man/keyctl_describe.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_DESCRIBE 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_DESCRIBE 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_describe \- describe a key
diff --git a/man/keyctl_dh_compute.3 b/man/keyctl_dh_compute.3
index befb83d..8a2d29f 100644
--- a/man/keyctl_dh_compute.3
+++ b/man/keyctl_dh_compute.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_DH_COMPUTE 3 "07 Apr 2016" Linux "Linux Key Management Calls"
+.TH KEYCTL_DH_COMPUTE 3 "07 Apr 2016" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_dh_compute \- Compute a Diffie-Hellman shared secret or public key
diff --git a/man/keyctl_get_keyring_ID.3 b/man/keyctl_get_keyring_ID.3
index 4c2ca5c..a754aa1 100644
--- a/man/keyctl_get_keyring_ID.3
+++ b/man/keyctl_get_keyring_ID.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_KEYRING_ID 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_GET_KEYRING_ID 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_keyring_ID \- get the ID of a special keyring
diff --git a/man/keyctl_get_persistent.3 b/man/keyctl_get_persistent.3
index d878cbb..71d8626 100644
--- a/man/keyctl_get_persistent.3
+++ b/man/keyctl_get_persistent.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_PERSISTENT 3 "20 Feb 2014" Linux "Linux Key Management Calls"
+.TH KEYCTL_GET_PERSISTENT 3 "20 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_persistent \- get the persistent keyring for a user
diff --git a/man/keyctl_get_security.3 b/man/keyctl_get_security.3
index 7113e2f..b9b05c2 100644
--- a/man/keyctl_get_security.3
+++ b/man/keyctl_get_security.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_SECURITY 3 "26 Feb 2010" Linux "Linux Key Management Calls"
+.TH KEYCTL_GET_SECURITY 3 "26 Feb 2010" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_security \- retrieve a key's security context
diff --git a/man/keyctl_instantiate.3 b/man/keyctl_instantiate.3
index 0d3b459..ff1dea5 100644
--- a/man/keyctl_instantiate.3
+++ b/man/keyctl_instantiate.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_INSTANTIATE 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_INSTANTIATE 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_assume_authority, keyctl_instantiate, keyctl_instantiate_iov, keyctl_reject, keyctl_negate \- key instantiation functions
diff --git a/man/keyctl_invalidate.3 b/man/keyctl_invalidate.3
index 928319f..e54f505 100644
--- a/man/keyctl_invalidate.3
+++ b/man/keyctl_invalidate.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_INVALIDATE 3 "29 Aug 2013" Linux "Linux Key Management Calls"
+.TH KEYCTL_INVALIDATE 3 "29 Aug 2013" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_invalidate \- invalidate a key
diff --git a/man/keyctl_join_session_keyring.3 b/man/keyctl_join_session_keyring.3
index b8ed639..65233f8 100644
--- a/man/keyctl_join_session_keyring.3
+++ b/man/keyctl_join_session_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_JOIN_SESSION_KEYRING 3 "20 Feb 2014" Linux "Linux Key Management Calls"
+.TH KEYCTL_JOIN_SESSION_KEYRING 3 "20 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_join_session_keyring \- join a different session keyring
diff --git a/man/keyctl_link.3 b/man/keyctl_link.3
index 9046121..7b607bf 100644
--- a/man/keyctl_link.3
+++ b/man/keyctl_link.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_LINK 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_LINK 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_link, keyctl_unlink \- link/unlink a key to/from a keyring
diff --git a/man/keyctl_move.3 b/man/keyctl_move.3
index a8f0c7f..894e76d 100644
--- a/man/keyctl_move.3
+++ b/man/keyctl_move.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_MOVE 3 "29 May 2019" Linux "Linux Key Management Calls"
+.TH KEYCTL_MOVE 3 "29 May 2019" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_move \- Move a key between keyrings
diff --git a/man/keyctl_pkey_encrypt.3 b/man/keyctl_pkey_encrypt.3
index b199a05..f3c5478 100644
--- a/man/keyctl_pkey_encrypt.3
+++ b/man/keyctl_pkey_encrypt.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_ENCRYPT 3 "8 Nov 2018" Linux "Linux Public-Key Encryption"
+.TH KEYCTL_PKEY_ENCRYPT 3 "8 Nov 2018" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_encrypt, keyctl_pkey_decrypt \- Encrypt and decrypt data
diff --git a/man/keyctl_pkey_query.3 b/man/keyctl_pkey_query.3
index e7613c8..837b9db 100644
--- a/man/keyctl_pkey_query.3
+++ b/man/keyctl_pkey_query.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_QUERY 3 "8 Nov 2018" Linux "Linux Key Management Calls"
+.TH KEYCTL_PKEY_QUERY 3 "8 Nov 2018" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_query \- Query public key parameters
diff --git a/man/keyctl_pkey_sign.3 b/man/keyctl_pkey_sign.3
index 2f0b106..5997046 100644
--- a/man/keyctl_pkey_sign.3
+++ b/man/keyctl_pkey_sign.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_SIGN 3 "8 Nov 2018" Linux "Linux Public-Key Signatures"
+.TH KEYCTL_PKEY_SIGN 3 "8 Nov 2018" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_sign, keyctl_pkey_verify \- Generate and verify signatures
diff --git a/man/keyctl_read.3 b/man/keyctl_read.3
index 6728b5b..8b767a3 100644
--- a/man/keyctl_read.3
+++ b/man/keyctl_read.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_READ 3 "21 Feb 2014" Linux "Linux Key Management Calls"
+.TH KEYCTL_READ 3 "21 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_read \- read a key
diff --git a/man/keyctl_restrict_keyring.3 b/man/keyctl_restrict_keyring.3
index 9e4d023..1f3d1eb 100644
--- a/man/keyctl_restrict_keyring.3
+++ b/man/keyctl_restrict_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_RESTRICT_KEYRING 3 "28 Feb 2017" Linux "Linux Key Management Calls"
+.TH KEYCTL_RESTRICT_KEYRING 3 "28 Feb 2017" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_restrict_keyring \- restrict keys that may be linked to a keyring
diff --git a/man/keyctl_revoke.3 b/man/keyctl_revoke.3
index a973d39..a00b1f8 100644
--- a/man/keyctl_revoke.3
+++ b/man/keyctl_revoke.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_REVOKE 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_REVOKE 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_revoke \- revoke a key
diff --git a/man/keyctl_search.3 b/man/keyctl_search.3
index f7db46d..c779fb0 100644
--- a/man/keyctl_search.3
+++ b/man/keyctl_search.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SEARCH 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_SEARCH 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_search \- search a keyring for a key
diff --git a/man/keyctl_session_to_parent.3 b/man/keyctl_session_to_parent.3
index b05c030..e208459 100644
--- a/man/keyctl_session_to_parent.3
+++ b/man/keyctl_session_to_parent.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SESSION_TO_PARENT 3 "20 Feb 2014" Linux "Linux Key Management Calls"
+.TH KEYCTL_SESSION_TO_PARENT 3 "20 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_session_to_parent \- set the parent process's session keyring
diff --git a/man/keyctl_set_reqkey_keyring.3 b/man/keyctl_set_reqkey_keyring.3
index e8d6afa..e742f13 100644
--- a/man/keyctl_set_reqkey_keyring.3
+++ b/man/keyctl_set_reqkey_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SET_REQKEY_KEYRING 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_SET_REQKEY_KEYRING 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_set_reqkey_keyring \- set the implicit destination keyring
diff --git a/man/keyctl_set_timeout.3 b/man/keyctl_set_timeout.3
index ec8b364..b5d055b 100644
--- a/man/keyctl_set_timeout.3
+++ b/man/keyctl_set_timeout.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SET_TIMEOUT 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_SET_TIMEOUT 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_set_timeout \- set the expiration timer on a key
diff --git a/man/keyctl_setperm.3 b/man/keyctl_setperm.3
index 8607680..f246946 100644
--- a/man/keyctl_setperm.3
+++ b/man/keyctl_setperm.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SETPERM 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_SETPERM 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_setperm \- change the permissions mask on a key
diff --git a/man/keyctl_update.3 b/man/keyctl_update.3
index cdf0a8e..4cff75c 100644
--- a/man/keyctl_update.3
+++ b/man/keyctl_update.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_UPDATE 3 "4 May 2006" Linux "Linux Key Management Calls"
+.TH KEYCTL_UPDATE 3 "4 May 2006" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_update \- update a key
diff --git a/man/keyctl_watch_key.3 b/man/keyctl_watch_key.3
index 0cfba6f..b8ed158 100644
--- a/man/keyctl_watch_key.3
+++ b/man/keyctl_watch_key.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GRANT_PERMISSION 3 "28 Aug 2019" Linux "Linux Key Management Calls"
+.TH KEYCTL_GRANT_PERMISSION 3 "28 Aug 2019" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_watch_key \- Watch for changes to a key
diff --git a/man/keyutils.7 b/man/keyutils.7
index 3ab193c..f17ee35 100644
--- a/man/keyutils.7
+++ b/man/keyutils.7
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYUTILS 7 "21 Feb 2014" Linux "Kernel key management"
+.TH KEYUTILS 7 "21 Feb 2014" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyutils \- in-kernel key management utilities
diff --git a/man/recursive_key_scan.3 b/man/recursive_key_scan.3
index 4e38d4a..daf75f1 100644
--- a/man/recursive_key_scan.3
+++ b/man/recursive_key_scan.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH RECURSIVE_KEY_SCAN 3 "10 Mar 2011" Linux "Linux Key Utility Calls"
+.TH RECURSIVE_KEY_SCAN 3 "10 Mar 2011" keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 recursive_key_scan, recursive_session_key_scan \- apply a function to all keys in a keyring tree
diff --git a/man/request-key.8 b/man/request-key.8
index 50a7506..1db6ebc 100644
--- a/man/request-key.8
+++ b/man/request-key.8
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH REQUEST-KEY 8 "15 Nov 2011" Linux "Linux Key Management Utilities"
+.TH REQUEST-KEY 8 "15 Nov 2011" keyutils
 .SH NAME
 request\-key \- handle key instantiation callback requests from the kernel
 .SH SYNOPSIS
diff --git a/man/request-key.conf.5 b/man/request-key.conf.5
index 276c771..dde6295 100644
--- a/man/request-key.conf.5
+++ b/man/request-key.conf.5
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH REQUEST-KEY.CONF 5 "15 November 2011" Linux "Linux Key Management Utilities"
+.TH REQUEST-KEY.CONF 5 "15 November 2011" keyutils
 .SH NAME
 request\-key.conf \- Instantiation handler configuration file
 .SH DESCRIPTION