diff --git a/man/asymmetric-key.7 b/man/asymmetric-key.7
index 273f930..70ed935 100644
--- a/man/asymmetric-key.7
+++ b/man/asymmetric-key.7
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH ASYMMETRIC-KEY 7 "8 Nov 2018" keyutils
+.TH ASYMMETRIC-KEY 7 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 asymmetric \- Kernel key type for holding asymmetric keys
diff --git a/man/find_key_by_type_and_name.3 b/man/find_key_by_type_and_name.3
index 2a338e8..802b9cd 100644
--- a/man/find_key_by_type_and_name.3
+++ b/man/find_key_by_type_and_name.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH FIND_KEY_BY_TYPE_AND_NAME 3 "10 Sep 2013" keyutils
+.TH FIND_KEY_BY_TYPE_AND_NAME 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 find_key_by_type_and_name \- find a key by type and name
diff --git a/man/key.dns_resolver.8 b/man/key.dns_resolver.8
index c67df97..383f5af 100644
--- a/man/key.dns_resolver.8
+++ b/man/key.dns_resolver.8
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEY.DNS_RESOLVER 8 "18 May 2020" keyutils
+.TH KEY.DNS_RESOLVER 8 2024-06-19 keyutils
 .SH NAME
 key.dns_resolver \- upcall for request\-key to handle dns_resolver keys
 .SH SYNOPSIS
diff --git a/man/key.dns_resolver.conf.5 b/man/key.dns_resolver.conf.5
index c395b8e..43668ca 100644
--- a/man/key.dns_resolver.conf.5
+++ b/man/key.dns_resolver.conf.5
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEY.DNS_RESOLVER.CONF 5 "18 May 2020" keyutils
+.TH KEY.DNS_RESOLVER.CONF 5 2024-06-19 keyutils
 .SH NAME
 key.dns_resolver.conf \- Kernel DNS resolver config
 .SH DESCRIPTION
diff --git a/man/keyctl.1 b/man/keyctl.1
index 7aa0cb7..bb4856e 100644
--- a/man/keyctl.1
+++ b/man/keyctl.1
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL 1 "20 Feb 2014" keyutils
+.TH KEYCTL 1 2024-06-19 keyutils
 .SH NAME
 keyctl \- key management facility control
 .SH SYNOPSIS
diff --git a/man/keyctl.3 b/man/keyctl.3
index 0d04ea6..ef59397 100644
--- a/man/keyctl.3
+++ b/man/keyctl.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL 3 "21 Feb 2014" keyutils
+.TH KEYCTL 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_*() \- key management function wrappers
diff --git a/man/keyctl_capabilities.3 b/man/keyctl_capabilities.3
index c687faa..6686143 100644
--- a/man/keyctl_capabilities.3
+++ b/man/keyctl_capabilities.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CAPABILITIES 3 "30 May 2019" keyutils
+.TH KEYCTL_CAPABILITIES 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_capabilities \- Query subsystem capabilities
diff --git a/man/keyctl_chown.3 b/man/keyctl_chown.3
index 1c8fa9a..09d5129 100644
--- a/man/keyctl_chown.3
+++ b/man/keyctl_chown.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CHOWN 3 "4 May 2006" keyutils
+.TH KEYCTL_CHOWN 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_chown \- change the ownership of a key
diff --git a/man/keyctl_clear.3 b/man/keyctl_clear.3
index 010b175..e17acac 100644
--- a/man/keyctl_clear.3
+++ b/man/keyctl_clear.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_CLEAR 3 "4 May 2006" keyutils
+.TH KEYCTL_CLEAR 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_clear \- clear a keyring
diff --git a/man/keyctl_describe.3 b/man/keyctl_describe.3
index 198f1b7..17573d0 100644
--- a/man/keyctl_describe.3
+++ b/man/keyctl_describe.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_DESCRIBE 3 "4 May 2006" keyutils
+.TH KEYCTL_DESCRIBE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_describe \- describe a key
diff --git a/man/keyctl_dh_compute.3 b/man/keyctl_dh_compute.3
index 8a2d29f..b986131 100644
--- a/man/keyctl_dh_compute.3
+++ b/man/keyctl_dh_compute.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_DH_COMPUTE 3 "07 Apr 2016" keyutils
+.TH KEYCTL_DH_COMPUTE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_dh_compute \- Compute a Diffie-Hellman shared secret or public key
diff --git a/man/keyctl_get_keyring_ID.3 b/man/keyctl_get_keyring_ID.3
index a754aa1..39d2115 100644
--- a/man/keyctl_get_keyring_ID.3
+++ b/man/keyctl_get_keyring_ID.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_KEYRING_ID 3 "4 May 2006" keyutils
+.TH KEYCTL_GET_KEYRING_ID 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_keyring_ID \- get the ID of a special keyring
diff --git a/man/keyctl_get_persistent.3 b/man/keyctl_get_persistent.3
index 71d8626..4f81ade 100644
--- a/man/keyctl_get_persistent.3
+++ b/man/keyctl_get_persistent.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_PERSISTENT 3 "20 Feb 2014" keyutils
+.TH KEYCTL_GET_PERSISTENT 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_persistent \- get the persistent keyring for a user
diff --git a/man/keyctl_get_security.3 b/man/keyctl_get_security.3
index b9b05c2..b0f87ab 100644
--- a/man/keyctl_get_security.3
+++ b/man/keyctl_get_security.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GET_SECURITY 3 "26 Feb 2010" keyutils
+.TH KEYCTL_GET_SECURITY 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_get_security \- retrieve a key's security context
diff --git a/man/keyctl_instantiate.3 b/man/keyctl_instantiate.3
index ff1dea5..08d0d37 100644
--- a/man/keyctl_instantiate.3
+++ b/man/keyctl_instantiate.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_INSTANTIATE 3 "4 May 2006" keyutils
+.TH KEYCTL_INSTANTIATE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_assume_authority, keyctl_instantiate, keyctl_instantiate_iov, keyctl_reject, keyctl_negate \- key instantiation functions
diff --git a/man/keyctl_invalidate.3 b/man/keyctl_invalidate.3
index e54f505..c7edf7b 100644
--- a/man/keyctl_invalidate.3
+++ b/man/keyctl_invalidate.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_INVALIDATE 3 "29 Aug 2013" keyutils
+.TH KEYCTL_INVALIDATE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_invalidate \- invalidate a key
diff --git a/man/keyctl_join_session_keyring.3 b/man/keyctl_join_session_keyring.3
index 65233f8..0d5793e 100644
--- a/man/keyctl_join_session_keyring.3
+++ b/man/keyctl_join_session_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_JOIN_SESSION_KEYRING 3 "20 Feb 2014" keyutils
+.TH KEYCTL_JOIN_SESSION_KEYRING 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_join_session_keyring \- join a different session keyring
diff --git a/man/keyctl_link.3 b/man/keyctl_link.3
index 7b607bf..bf57651 100644
--- a/man/keyctl_link.3
+++ b/man/keyctl_link.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_LINK 3 "4 May 2006" keyutils
+.TH KEYCTL_LINK 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_link, keyctl_unlink \- link/unlink a key to/from a keyring
diff --git a/man/keyctl_move.3 b/man/keyctl_move.3
index 894e76d..14259d1 100644
--- a/man/keyctl_move.3
+++ b/man/keyctl_move.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_MOVE 3 "29 May 2019" keyutils
+.TH KEYCTL_MOVE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_move \- Move a key between keyrings
diff --git a/man/keyctl_pkey_encrypt.3 b/man/keyctl_pkey_encrypt.3
index f3c5478..d81c625 100644
--- a/man/keyctl_pkey_encrypt.3
+++ b/man/keyctl_pkey_encrypt.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_ENCRYPT 3 "8 Nov 2018" keyutils
+.TH KEYCTL_PKEY_ENCRYPT 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_encrypt, keyctl_pkey_decrypt \- Encrypt and decrypt data
diff --git a/man/keyctl_pkey_query.3 b/man/keyctl_pkey_query.3
index 837b9db..211aca7 100644
--- a/man/keyctl_pkey_query.3
+++ b/man/keyctl_pkey_query.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_QUERY 3 "8 Nov 2018" keyutils
+.TH KEYCTL_PKEY_QUERY 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_query \- Query public key parameters
diff --git a/man/keyctl_pkey_sign.3 b/man/keyctl_pkey_sign.3
index 5997046..0351cfe 100644
--- a/man/keyctl_pkey_sign.3
+++ b/man/keyctl_pkey_sign.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYCTL_PKEY_SIGN 3 "8 Nov 2018" keyutils
+.TH KEYCTL_PKEY_SIGN 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_pkey_sign, keyctl_pkey_verify \- Generate and verify signatures
diff --git a/man/keyctl_read.3 b/man/keyctl_read.3
index 8b767a3..a672526 100644
--- a/man/keyctl_read.3
+++ b/man/keyctl_read.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_READ 3 "21 Feb 2014" keyutils
+.TH KEYCTL_READ 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_read \- read a key
diff --git a/man/keyctl_restrict_keyring.3 b/man/keyctl_restrict_keyring.3
index 1f3d1eb..63f9f7e 100644
--- a/man/keyctl_restrict_keyring.3
+++ b/man/keyctl_restrict_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_RESTRICT_KEYRING 3 "28 Feb 2017" keyutils
+.TH KEYCTL_RESTRICT_KEYRING 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_restrict_keyring \- restrict keys that may be linked to a keyring
diff --git a/man/keyctl_revoke.3 b/man/keyctl_revoke.3
index a00b1f8..22f8b4c 100644
--- a/man/keyctl_revoke.3
+++ b/man/keyctl_revoke.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_REVOKE 3 "4 May 2006" keyutils
+.TH KEYCTL_REVOKE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_revoke \- revoke a key
diff --git a/man/keyctl_search.3 b/man/keyctl_search.3
index c779fb0..7b56310 100644
--- a/man/keyctl_search.3
+++ b/man/keyctl_search.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SEARCH 3 "4 May 2006" keyutils
+.TH KEYCTL_SEARCH 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_search \- search a keyring for a key
diff --git a/man/keyctl_session_to_parent.3 b/man/keyctl_session_to_parent.3
index e208459..56d2c92 100644
--- a/man/keyctl_session_to_parent.3
+++ b/man/keyctl_session_to_parent.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SESSION_TO_PARENT 3 "20 Feb 2014" keyutils
+.TH KEYCTL_SESSION_TO_PARENT 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_session_to_parent \- set the parent process's session keyring
diff --git a/man/keyctl_set_reqkey_keyring.3 b/man/keyctl_set_reqkey_keyring.3
index e742f13..356a008 100644
--- a/man/keyctl_set_reqkey_keyring.3
+++ b/man/keyctl_set_reqkey_keyring.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SET_REQKEY_KEYRING 3 "4 May 2006" keyutils
+.TH KEYCTL_SET_REQKEY_KEYRING 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_set_reqkey_keyring \- set the implicit destination keyring
diff --git a/man/keyctl_set_timeout.3 b/man/keyctl_set_timeout.3
index b5d055b..36c3274 100644
--- a/man/keyctl_set_timeout.3
+++ b/man/keyctl_set_timeout.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SET_TIMEOUT 3 "4 May 2006" keyutils
+.TH KEYCTL_SET_TIMEOUT 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_set_timeout \- set the expiration timer on a key
diff --git a/man/keyctl_setperm.3 b/man/keyctl_setperm.3
index f246946..30dff85 100644
--- a/man/keyctl_setperm.3
+++ b/man/keyctl_setperm.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_SETPERM 3 "4 May 2006" keyutils
+.TH KEYCTL_SETPERM 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_setperm \- change the permissions mask on a key
diff --git a/man/keyctl_update.3 b/man/keyctl_update.3
index 4cff75c..d292c4f 100644
--- a/man/keyctl_update.3
+++ b/man/keyctl_update.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_UPDATE 3 "4 May 2006" keyutils
+.TH KEYCTL_UPDATE 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_update \- update a key
diff --git a/man/keyctl_watch_key.3 b/man/keyctl_watch_key.3
index b8ed158..57534a8 100644
--- a/man/keyctl_watch_key.3
+++ b/man/keyctl_watch_key.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH KEYCTL_GRANT_PERMISSION 3 "28 Aug 2019" keyutils
+.TH KEYCTL_GRANT_PERMISSION 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyctl_watch_key \- Watch for changes to a key
diff --git a/man/keyutils.7 b/man/keyutils.7
index f17ee35..08402e0 100644
--- a/man/keyutils.7
+++ b/man/keyutils.7
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH KEYUTILS 7 "21 Feb 2014" keyutils
+.TH KEYUTILS 7 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 keyutils \- in-kernel key management utilities
diff --git a/man/recursive_key_scan.3 b/man/recursive_key_scan.3
index daf75f1..fe690f9 100644
--- a/man/recursive_key_scan.3
+++ b/man/recursive_key_scan.3
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the Licence, or (at your option) any later version.
 .\"
-.TH RECURSIVE_KEY_SCAN 3 "10 Mar 2011" keyutils
+.TH RECURSIVE_KEY_SCAN 3 2024-06-19 keyutils
 .\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
 .SH NAME
 recursive_key_scan, recursive_session_key_scan \- apply a function to all keys in a keyring tree
diff --git a/man/request-key.8 b/man/request-key.8
index 1db6ebc..242db77 100644
--- a/man/request-key.8
+++ b/man/request-key.8
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH REQUEST-KEY 8 "15 Nov 2011" keyutils
+.TH REQUEST-KEY 8 2024-06-19 keyutils
 .SH NAME
 request\-key \- handle key instantiation callback requests from the kernel
 .SH SYNOPSIS
diff --git a/man/request-key.conf.5 b/man/request-key.conf.5
index dde6295..29ba977 100644
--- a/man/request-key.conf.5
+++ b/man/request-key.conf.5
@@ -7,7 +7,7 @@
 .\" as published by the Free Software Foundation; either version
 .\" 2 of the License, or (at your option) any later version.
 .\"
-.TH REQUEST-KEY.CONF 5 "15 November 2011" keyutils
+.TH REQUEST-KEY.CONF 5 2024-06-19 keyutils
 .SH NAME
 request\-key.conf \- Instantiation handler configuration file
 .SH DESCRIPTION